DataCollectorProcess

SPA: Retrieves a Data Collector Process resource.

Returns a Data Collector Process by ID.

GET/api/spa/data-collector-processes/{id}

Authorizations

X-AUTH-TOKEN
stringheaderrequired

Value for the X-AUTH-TOKEN header parameter.

Path Parameters

id
stringrequired

DataCollectorProcess identifier

Response

200application/json

DataCollectorProcess resource

id
integer
dataCollector
string<iri-reference> | null

Example: "https://example.com/"

renderingRequests
string<iri-reference>[]
createdBy
string

User, created this entry

Example: "user1@company.com"

updatedBy
string

User, updated this entry

Example: "user1@company.com"

createdAt
string<date-time>

UTC date time of entry creation

Example: "2024-08-23T00:00:00+00:00"

updatedAt
string<date-time>

UTC date time of last entry update

Example: "2024-08-23T00:00:00+00:00"

client
object
subClient
object
state
string

Workflow state

Example: "done"

workflowLog
string

Workflow logs as a string

Example: "[2024-01-01 00:00:00] Rendering set to blocked because of paused Template"

blocked
boolean

Available options: truefalse

Example: false

wfData
string | null[]
batchAction
string<iri-reference> | null

Example: "https://example.com/"

dataCollectorIdentifier
string
dataCollectorId
integer
batchActionId
integer | null
batchActionType
string | null
subClientId
integer

SubClient ID. Provided on instances with enabled sub-client module only.

Example: 3

subClientDescription
string

SubClient description. Provided on instances with enabled sub-client module only.

Example: "Branch Office A"

subClientColor
string

SubClient display colour. Provided on instances with enabled sub-client module only.

Example: "#083E5D"